Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.graph
Class AttributeMap.SerializableRectangle2D

    java.lang.Object
      |
      +--java.awt.geom.RectangularShape
            |
            +--java.awt.geom.Rectangle2D
                  |
                  +--java.awt.geom.Rectangle2D.Double
                        |
                        +--org.jgraph.graph.AttributeMap.SerializableRectangle2D

All Implemented Interfaces:
  Cloneable, Serializable, Shape

Enclosing class:
  AttributeMap

public static class AttributeMap.SerializableRectangle2D
extends Rectangle2D.Double
implements Serializable

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.awt.geom.Rectangle2D.Double
`height, width, x, y`

Fields inherited from class java.awt.geom.Rectangle2D
`OUT_BOTTOM, OUT_LEFT, OUT_RIGHT, OUT_TOP`

Constructor Summary
`AttributeMap.SerializableRectangle2D()`
`AttributeMap.SerializableRectangle2D(double x, double y, double width, double height)`

Methods inherited from class java.awt.geom.Rectangle2D.Double
`createIntersection, createUnion, getBounds2D, getHeight, getWidth, getX, getY, isEmpty, outcode, setRect, setRect, toString`

Methods inherited from class java.awt.geom.Rectangle2D
`add, add, add, contains, contains, equals, getPathIterator, getPathIterator, hashCode, intersect, intersects, intersectsLine, intersectsLine, outcode, setFrame, union`

Methods inherited from class java.awt.geom.RectangularShape
`clone, contains, contains, getBounds, getCenterX, getCenterY, getFrame, getMaxX, getMaxY, getMinX, getMinY, intersects, setFrame, setFrame, setFrameFromCenter, setFrameFromCenter, setFrameFromDiagonal, setFrameFromDiagonal`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeMap.SerializableRectangle2D

    public AttributeMap.SerializableRectangle2D()

### AttributeMap.SerializableRectangle2D

    public AttributeMap.SerializableRectangle2D(double x,
                                                double y,
                                                double width,
                                                double height)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2003-2004 Gaudenz Alder. All rights reserved.